<div class="text-center padding">
  <h1>🚀</h1>
  <h1 class="margin-bottom">Hello, world</h1>
  <p>Use the form below to enter my wonderful app</p>
  <div *ngIf="!isLoading">
    <form [formGroup]="form" (ngSubmit)="submit()">
      <mat-form-field>
        <input
          matInput
          placeholder="Email"
          type="email"
          formControlName="email"
        />
      </mat-form-field>
      <app-requirements
        [visible]="email.touched && email.invalid"
        [list]="emailRequirements"
      ></app-requirements>
      <mat-form-field>
        <input
          matInput
          placeholder="Password"
          type="password"
          formControlName="password"
        />
      </mat-form-field>

      <div class="margin">
        <button mat-raised-button type="submit" color="primary">Login</button>
      </div>
    </form>
    <div>
      <a mat-button routerLink="/auth/signup">Create an account</a>
      <a mat-button routerLink="/auth/recover">Recover password</a>
    </div>
  </div>
  <div *ngIf="isLoading">
    <mat-progress-bar mode="indeterminate"> </mat-progress-bar>
  </div>
</div>
